AlertDefinition (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.AlertDefinition class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class AlertDefinition

    java.lang.Object
      org.hyperic.hq.types.AlertDefinition

    public class AlertDefinition

extends java.lang.Object

Java class for AlertDefinition complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AlertDefinition">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ResourcePrototype" type="{}ResourcePrototype"/>
             <element name="AlertCondition" type="{}AlertCondition" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="controlFiltered" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="notifyFiltered" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="willRecover" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="range" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="count" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="frequency" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="active" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="priority" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="parent" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="description" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected boolean` | `active`
`protected java.util.List<AlertCondition>` | `alertCondition`
`protected boolean` | `controlFiltered`
`protected int` | `count`
`protected java.lang.String` | `description`
`protected int` | `frequency`
`protected java.lang.Integer` | `id`
`protected java.lang.String` | `name`
`protected boolean` | `notifyFiltered`
`protected java.lang.Integer` | `parent`
`protected int` | `priority`
`protected int` | `range`
`protected ResourcePrototype` | `resourcePrototype`
`protected boolean` | `willRecover`

Constructor Summary
`AlertDefinition()`

Method Summary
`java.util.List<AlertCondition>` | `getAlertCondition()` Gets the value of the alertCondition property.
`int` | `getCount()` Gets the value of the count property.
`java.lang.String` | `getDescription()` Gets the value of the description property.
`int` | `getFrequency()` Gets the value of the frequency property.
`java.lang.Integer` | `getId()` Gets the value of the id property.
`java.lang.String` | `getName()` Gets the value of the name property.
`java.lang.Integer` | `getParent()` Gets the value of the parent property.
`int` | `getPriority()` Gets the value of the priority property.
`int` | `getRange()` Gets the value of the range property.
`ResourcePrototype` | `getResourcePrototype()` Gets the value of the resourcePrototype property.
`boolean` | `isActive()` Gets the value of the active property.
`boolean` | `isControlFiltered()` Gets the value of the controlFiltered property.
`boolean` | `isNotifyFiltered()` Gets the value of the notifyFiltered property.
`boolean` | `isWillRecover()` Gets the value of the willRecover property.
`void` | `setActive(boolean value)` Sets the value of the active property.
`void` | `setControlFiltered(boolean value)` Sets the value of the controlFiltered property.
`void` | `setCount(int value)` Sets the value of the count property.
`void` | `setDescription(java.lang.String value)` Sets the value of the description property.
`void` | `setFrequency(int value)` Sets the value of the frequency property.
`void` | `setId(java.lang.Integer value)` Sets the value of the id property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setNotifyFiltered(boolean value)` Sets the value of the notifyFiltered property.
`void` | `setParent(java.lang.Integer value)` Sets the value of the parent property.
`void` | `setPriority(int value)` Sets the value of the priority property.
`void` | `setRange(int value)` Sets the value of the range property.
`void` | `setResourcePrototype(ResourcePrototype value)` Sets the value of the resourcePrototype property.
`void` | `setWillRecover(boolean value)` Sets the value of the willRecover property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourcePrototype

    protected ResourcePrototype resourcePrototype

### alertCondition

    protected java.util.List<AlertCondition> alertCondition

### controlFiltered

    protected boolean controlFiltered

### notifyFiltered

    protected boolean notifyFiltered

### willRecover

    protected boolean willRecover

### range

    protected int range

### count

    protected int count

### frequency

    protected int frequency

### active

    protected boolean active

### priority

    protected int priority

### parent

    protected java.lang.Integer parent

### description

    protected java.lang.String description

### name

    protected java.lang.String name

### id

    protected java.lang.Integer id

Constructor Detail

### AlertDefinition

    public AlertDefinition()

Method Detail

### getResourcePrototype

    public ResourcePrototype getResourcePrototype()

  Gets the value of the resourcePrototype property.

  Returns:
    possible object is `ResourcePrototype`

### setResourcePrototype

    public void setResourcePrototype(ResourcePrototype value)

  Sets the value of the resourcePrototype property.

  Parameters:
    `value` - allowed object is `ResourcePrototype`

### getAlertCondition

    public java.util.List<AlertCondition> getAlertCondition()

  Gets the value of the alertCondition property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the alertCondition property.

  For example, to add a new item, do as follows:

          getAlertCondition().add(newItem);

  Objects of the following type(s) are allowed in the list `AlertCondition`

### isControlFiltered

    public boolean isControlFiltered()

  Gets the value of the controlFiltered property.

### setControlFiltered

    public void setControlFiltered(boolean value)

  Sets the value of the controlFiltered property.

### isNotifyFiltered

    public boolean isNotifyFiltered()

  Gets the value of the notifyFiltered property.

### setNotifyFiltered

    public void setNotifyFiltered(boolean value)

  Sets the value of the notifyFiltered property.

### isWillRecover

    public boolean isWillRecover()

  Gets the value of the willRecover property.

### setWillRecover

    public void setWillRecover(boolean value)

  Sets the value of the willRecover property.

### getRange

    public int getRange()

  Gets the value of the range property.

### setRange

    public void setRange(int value)

  Sets the value of the range property.

### getCount

    public int getCount()

  Gets the value of the count property.

### setCount

    public void setCount(int value)

  Sets the value of the count property.

### getFrequency

    public int getFrequency()

  Gets the value of the frequency property.

### setFrequency

    public void setFrequency(int value)

  Sets the value of the frequency property.

### isActive

    public boolean isActive()

  Gets the value of the active property.

### setActive

    public void setActive(boolean value)

  Sets the value of the active property.

### getPriority

    public int getPriority()

  Gets the value of the priority property.

### setPriority

    public void setPriority(int value)

  Sets the value of the priority property.

### getParent

    public java.lang.Integer getParent()

  Gets the value of the parent property.

  Returns:
    possible object is `Integer`

### setParent

    public void setParent(java.lang.Integer value)

  Sets the value of the parent property.

  Parameters:
    `value` - allowed object is `Integer`

### getDescription

    public java.lang.String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getId

    public java.lang.Integer getId()

  Gets the value of the id property.

  Returns:
    possible object is `Integer`

### setId

    public void setId(java.lang.Integer value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.